Subject: Re: Problems with mingw32 GCC 2.8.0 !!!
From: [email-masked] (Mikey)

28 Jan 1998 05:08:47 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Jan-Jaap van der Heijden <[email-masked]>,
        [email-masked]

Jan, Colin, Mumit, Geoff, and all other developers/maintainers

using -mXXX is a very BAD idea for a gcc option.

-m is reserved for processor specifications

-mXXX always gets interpreted as a processor
specification in the specs file, which makes it impossible
to use that switch for -I/dir lines to cpp. (or pass down -D option
to cc1/plus)

-mwindows is a perfect example
-dll worked fine, why was it changed?

On Wed, 28 Jan 1998 01:22:46 +0000 (WET), you wrote:

>On Tue, 27 Jan 1998, Fabio Vignoli wrote:
>
>> Hi!
>> 
>> I downloaded the mingw32 required packages and tried to install on my hd:
>> 
>> 1) In the installation page:
>> 
>> http://agnes.dida.physik.uni-essen.de/~janjaap/mingw32/installation.html
>> 
>> You wrote "I shall assume `C:\MINGW32' but another location should be
>> fine", but it seems that it's not, I tried another directory and gcc
>> couldn't find the "specs" file in the ...gcc-lib/...
>>
>
>I cannot reproduce this, even when the compiler is executed from a
>different drive. 
>1) Did you preserve the trailing slash in GCC_EXEC_PREFIX ?
>2) You did replace all `C:\MINGW32' with your alternative path, right?
>
>> 2) The problem I encountered when I tried to compile the dlltest or other
>> tests provided with the packages is more serious, maybe is my inexperience
>> in using the tool but it seems that WinMain does not exist in any of the
>> default libraries. (I used jam to compile it).
>> 
>> I can't report the exact error message because I'm not at home but it
>> seems that it can't find a reference to WinMain@16.
>> 
>
>The problem is an old version of `jam'.
>
>It uses GCC's former `-dll' option, which has been renamed to `-mdll'.
>So, instead of building a DLL, GCC will try to link a .EXE, and fail
>miserably.
>
>I guess Colin will fix this in a future release of jam.
>In the mean time, I will update my www page to mention the jam problem.
>
>Greetings,
>JanJaap
>
>---
>With sufficient thrust, pigs fly just fine. However, this is not
>necessarily a good idea. It is hard to be sure where they are going
>to land, and it could be dangerous sitting under them as they fly
>overhead.  -- RFC1925.
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".

=====================================================
Linux a platform built by, and for users, standing on
the firm legs of reliability, and speed.

Microsoft Windows, a platform without a leg to stand on.

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".